L3SYS-QUERY(1)

NAME
l3sys-query

SYNOPSIS
l3sys-query <cmd> [<options>] [<args>]

DESCRIPTION
The l3sys-query script provides a method for TeX runs to obtain system information via shell escape to Lua. The facilities are more limited than the similar Java script texosquery, but since it uses Lua, l3sys-query can be used 'out of the box' with any install TeX system. The script is written taking account of TeX Live security requirement; it is therefore suitable for use with restricted shell escape, the standard setting when installing a TeX system.

COMMANDS
Valid <cmd>s are:
   ls Prints a listing based on the <args> and <options>
   pwd Prints the present working directory

OPTIONS
Valid <options> are:
   --exclude [<xarg>] Exclude entries from directory listing
   --help|-h Prints this message and exits
   --ignore-case Ignore case when sorting directory listing
   --pattern|-p Treat (x)args as a Lua pattern
   --recursive|-r Activates recursive directory listing
   --reverse Reversing sorting order
   --sort [name|date] Method used to sort directory listing
   --type [d|f] Select just the directories or files in a listing
   --version|-v Prints version information and exits

SEE ALSO
Full manual available via 'texdoc l3sys-query'. Repository : https://github.com/latex3/l3sys-query Bug tracker: https://github.com/latex3/l3sys-query/issues

AUTHORS
Copyright (C) 2024 The LaTeX Project